Bug 1130022 - test case 020 030 034 and 041 of qemu-iotests fail for qed
Summary: test case 020 030 034 and 041 of qemu-iotests fail for qed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 08:00 UTC by Sibiao Luo
Modified: 2015-07-22 06:06 UTC (History)
14 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.469.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 06:06:59 UTC


Attachments (Terms of Use)
qemu-iotests-results-for-qed.txt (10.55 KB, text/plain)
2014-08-14 08:07 UTC, Sibiao Luo
no flags Details
qemu-iotests-qed.txt (40.72 KB, text/plain)
2015-04-27 08:07 UTC, Sibiao Luo
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1275 normal SHIPPED_LIVE qemu-kvm bug fix and enhancement update 2015-07-20 17:49:16 UTC

Comment 1 Sibiao Luo 2014-08-14 08:07:16 UTC
Created attachment 926696 [details]
qemu-iotests-results-for-qed.txt

Comment 2 Kevin Wolf 2015-03-30 17:41:05 UTC
020:
This is a QED bug, fixed by upstream commit 55aff7f1. It means that offline
commit returns an error after having performed the commit successfully.
We probably don't care.

030:
This is a test case bug.

034:
This one is real and it is an image corruption bug. We may want to fix it even
though we don't officially support QED. The test case passes after disabling
(commenting out) the zero write support in QED, so if we want to fix it, that's
what I would suggest.

041:
Doesn't fail for me. Probably a test case problem.

Comment 6 Jeff Nelson 2015-04-24 20:02:13 UTC
Fix included in qemu-kvm-0.12.1.2-2.469.el6

Comment 8 Sibiao Luo 2015-04-27 08:04:56 UTC
Still fail with two case 040 and 041 for the latest qemu-kvm, re-assign it again.

qemu-kvm]# cat /home/qemu-kvm/.git/config | grep url
	url = git://git.app.eng.bos.redhat.com/virt/rhel6/qemu-kvm.git

qemu-kvm]# git branch -v
* rhel6/master dd1fd74 Update to qemu-kvm-0.12.1.2-2.469.el6

qemu-kvm]# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.469.el6.x86_64

qemu-kvm]# ./configure --target-list=x86_64-softmmu; make
qemu-kvm]# export QEMU_PROG=/usr/libexec/qemu-kvm
qemu-kvm]# cd tests/qemu-iotests/
qemu-iotests]# ./check -qed

Not run: 007 013 014 015 016 022 023 026 029 030 031 035 044 049 054 060 067 068 073 074 079 080 081 083 084 085 086 088 092 095 107 108 114
Failures: 040 041
Failed 2 of 31 tests

Best Regards,
sluo

Comment 9 Sibiao Luo 2015-04-27 08:07:17 UTC
Created attachment 1019265 [details]
qemu-iotests-qed.txt

Comment 10 Kevin Wolf 2015-04-27 08:23:41 UTC
Please test with qemu-kvm-rhev. Test cases 040 and 041 are tests for live commit
and mirroring, which are disabled features in the RHEL version.

Comment 11 Sibiao Luo 2015-04-28 02:45:33 UTC
(In reply to Kevin Wolf from comment #10)
> Please test with qemu-kvm-rhev. Test cases 040 and 041 are tests for live
> commit
> and mirroring, which are disabled features in the RHEL version.

Yes, thanks for your kindly reminds. Retry it with qemu-kvm-rhev which has passed all the cases.

qemu-kvm]# git branch -v
* rhel6/master a1b4b8e Update to qemu-kvm-0.12.1.2-2.470.el6
[root@intel-e52650-16-1 qemu-kvm]# ./configure --target-list=x86_64-softmmu; make

qemu-kvm]# cat .git/config | grep url
	url = git://git.app.eng.bos.redhat.com/virt/rhel6/qemu-kvm.git

qemu-kvm]# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-0.12.1.2-2.470.el6.x86_64

qemu-kvm]# export QEMU_PROG=/usr/libexec/qemu-kvm
qemu-kvm]# cd tests/qemu-iotests/
qemu-iotests]# ./check -qed
QEMU          -- /usr/libexec/qemu-kvm
QEMU_IMG      -- /home/qemu-kvm/tests/qemu-iotests/../../qemu-img
QEMU_IO       -- /home/qemu-kvm/tests/qemu-iotests/../../qemu-io 
QEMU_NBD      -- /home/qemu-kvm/tests/qemu-iotests/../../qemu-nbd
IMGFMT        -- qed
IMGPROTO      -- file
PLATFORM      -- Linux/x86_64 intel-e52650-16-1 2.6.32-544.el6.x86_64
SOCKET_SCM_HELPER --
...
Not run: 007 013 014 015 016 022 023 026 029 030 031 035 044 049 054 060 067 068 073 074 079 080 081 083 084 085 086 088 092 095 107 108 114
Passed all 31 tests

Base on above, set this bug to verified status, please correct me if any mistake, thanks.

Best Regards,
sluo

Comment 14 errata-xmlrpc 2015-07-22 06:06:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1275.html


Note You need to log in before you can comment on or make changes to this bug.